function escritorio(logina) {
    console.log('buscar escritorio logina=',logina);
    
    $.post("controladores/usuarioControlador.php?op=escritorio",
    { "logina": logina },
        function (data) {  
            console.log('escritorio antes del switch:',data);
            if (data == 1) {
                console.log('escritorio1:',data);
                window.location = "escritorio";
            }else{
                if (data == 13) {
                    console.log('escritorio2:',data);
                    window.location = "escritorio";
                }else{
                    console.log('escritorio:',data,' Error');
                    window.location = "escritorio";
                }    
            }    
        }      
    )
    
}

$("#frmAcceso").on('submit', function (e) {
    e.preventDefault();
    logina = $("#logina").val();
    clavea = $("#clavea").val();
    $.post("controladores/usuarioControlador.php?op=verificar",
        { "logina": logina, "clavea": clavea },
        function (data) {
            //    alert("Data: " + data + "\nStatus: " + status);
            console.log('logina=',logina);
            console.log(data);
            if (data == 1) {
                //Buscamos que escritorio abrir
                
                //Ahora vamos a verificar la tasa de cambio y fecha
                let now = new Date();
                let fecha = new Date();
                let dd = ("0" + now.getDate()).slice(-2);
                let mm = ("0" + (now.getMonth() + 1)).slice(-2);
                let yyyy = now.getFullYear();
                fecha = yyyy + '-' + mm + '-' + dd;
                console.log('today: ', fecha);
                $.post("controladores/tasadecambioControlador.php?op=buscarfecha", { fecha: fecha },
                    function (data, status) {
                        console.log('fecha existe si o no: ', data)
                        if (data == 0) {
                            //$("#btnagregar").hide();
                            //Hay que Actualizar la tasa del dia y Buscamos en la Api.
                            //https://s3.amazonaws.com/dolartoday/data.json
                            $.getJSON("https://s3.amazonaws.com/dolartoday/data.json")
                                .done(function (data) {
                                    console.log("JSON Data: ", data);
                                    //console.log( 'Tasa de Cambio ', data.USD.sicad2);
                                    //let tasa = number_format(data.USD.sicad2,2);
                                    //mostrarform(true);
                                    //$("#tasa_dollar").val(tasa); $idusuario,$tasa_dollar
                                    let tasa_dollar = data.USD.sicad2
                                    let tasa_euro = data.USD.sicad2
                                    let idempresa2 = 1;
                                    let idempresa_tasacambio = 1;
                                    let idusuario = 1;
                                    $.post("controladores/empresaControlador.php?op=guardaryeditarTasa", { tasa_dollar: tasa_dollar, tasa_euro: tasa_euro, idempresa2: idempresa2, idempresa_tasacambio: idempresa_tasacambio }, function (e) {
                                        // $(location).attr("href","escritorio");
                                        console.log("tasa_dollar: ", tasa_dollar);
                                        console.log("idusuario: ", idusuario);
                                        $.post("controladores/tasadecambioControlador.php?op=guardaryeditar", { idusuario: idusuario, tasa_dollar: tasa_dollar }, function (e) {
                                            //var tp = '<%= Session["escritorio"]%>';
                                            //alert('<%=$_SESSION["escritorio"]%>... eres bienvenido al sistema'); 
                                            //var secciones ='<? echo $respuestaJSON?>;'
                                            //console.log('escritorio:',tp);
                                            //$(location).attr("href", "escritorio");
                                            console.log('logina=',logina);
                                            escritorio(logina);
                                        });

                                    });

                                })
                                .fail(function (jqxhr, textStatus, error) {
                                    var err = textStatus + ", " + error;
                                    console.log("Request Failed: " + err);
                                    //var tp = '<%= Session["escritorio"]%>'; 
                                    //console.log('escritorio:',tp);
                                    //mostrarform(true);
                                    //$("#tasa_dollar").val(0);
                             //       $(location).attr("href", "escritorio");
                                    console.log('logina=',logina);
                                    escritorio(logina);
                                });
                        } else {
                         //   window.location = "escritorio";
                         //var tp = <%= Session["escritorio"]%>; 
                        // console.log('escritorio:',tp);
                       
                        //var tp=<?php echo $_SESSION["idEmpresa"] ?>;
                        //var secciones ='<? echo "hola"?>;'
                        //console.log("secciones= ",secciones);
                        console.log('logina=',logina);
                        escritorio(logina);
                        }

                    });


            } else {
                swal(
                    'Error inesperado',
                    'El Usuario y/o Password son incorrectos',
                    'error'
                );
            }
        })
})
